zsnapd (0.8.12-1) unstable; urgency=medium

  * Use pybuild instead of pyversions (Closes: #972209, #943302)
  * Redo dir structure and setup.py - setup tools work
  * Bump version to 0.8.12

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 19 Oct 2020 11:52:09 +1300

zsnapd (0.8.11h-3) unstable; urgency=medium

  * Really fix bug about being in wrong section. (Closes: #943302)
  * Source only upload. (Closes: #919595)

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 23 Sep 2020 10:58:27 +1200

zsnapd (0.8.11h-2) unstable; urgency=medium

  * Fix dependencies for Debian Python 2 removal. (Closes: #943302)

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 08 Aug 2020 16:05:12 +1200

zsnapd (0.8.11h-1) unstable; urgency=medium

  * Fix /proc/mounts reading bug with multiple mnts

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 07 Mar 2020 17:30:04 +1300

zsnapd (0.8.11g-1) unstable; urgency=medium

  * Fix receive_mountpoint bug when append_name set

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 07 Mar 2020 17:06:05 +1300

zsnapd (0.8.11f-1) unstable; urgency=medium

  * Update README.md for trigger imporvements and receive mountpoint work.

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 06 Mar 2020 09:09:02 +1300

zsnapd (0.8.11e-1) unstable; urgency=medium

  * Read /proc/self/mounts to determine default mount info, pass if
    not available.

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 06 Mar 2020 08:39:52 +1300

zsnapd (0.8.11d-1) unstable; urgency=medium

  * Fix bug  default intialisation receive_mountpoint

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 05 Mar 2020 12:47:19 +1300

zsnapd (0.8.11c-1) unstable; urgency=medium

  * Make --do-trigger use dateset.conf do_trigger flag for cleaner
    integration with devops tools like ansible.

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 05 Mar 2020 11:36:55 +1300

zsnapd (0.8.11b-1) unstable; urgency=medium

  * Better zsnapd-trigger messages, do_trigger flag

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 05 Mar 2020 09:44:34 +1300

zsnapd (0.8.11a-1) unstable; urgency=medium

  * Append names and receive mountpoint work

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 02 Mar 2020 12:22:32 +1300

zsnapd (0.8.10b-1) unstable; urgency=medium

  * Update documentation for new umount option

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 19 Jan 2020 09:09:06 +1300

zsnapd (0.8.10a-1) unstable; urgency=medium

  * Add umount arg support to zfs recv

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 19 Jan 2020 08:50:46 +1300

zsnapd (0.8.10-1) unstable; urgency=medium
 
  * release 0.8.10
  * -x mountpoint support
  * -w send/recv raw transfer support
  * -s restore save point and auto - resume send/recv support
  * Cleaned ZFS hold manipulation
  * Better per dataset listing of snapshots etc.
  * Set default -x mountpoint for full replication etc

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 17 Jan 2020 20:37:37 +1300

zsnapd (0.8.9o-1~1.gbp0e208j) unstable; urgency=medium

  * Fix rcmd_zfs_holds regex to actually work

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 15 Jan 2020 22:12:29 +1300

zsnapd (0.8.9n-1~1.gbp0e208i) unstable; urgency=medium

  * Correct bug in zsnapd-rcmd misnamed config item
  * Fix missing line in zsnapd-rcmd globals

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 15 Jan 2020 22:01:31 +1300

zsnapd (0.8.9m-1~1.gbp0e208h) unstable; urgency=medium

  * Resume zfs send/receive implemented. v1.
  * Finish updating log messages
  * Implement get_snapshots2, more efficient and clear

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 15 Jan 2020 21:53:14 +1300

zsnapd (0.8.9j-1~1.gbp0e208g) unstable; urgency=medium

  * Zsnapd rcmd rcmd_zfs_holds bug fixes

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 15 Jan 2020 12:02:35 +1300

zsnapd (0.8.9i-1~1.gbp0e208f) unstable; urgency=medium

  * Bug fix for ValueError in Manager.new_hold()

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 15 Jan 2020 11:28:05 +1300

zsnapd (0.8.9h-1~1.gbp0e208e) unstable; urgency=medium

  * WIP - resume token usage
  * WIP - New hold managment commands

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 15 Jan 2020 11:24:16 +1300

zsnapd (0.8.9f-1~1.gbp0e208d) unstable; urgency=medium

  * Merge v0.8.9f test release.
  * Interrupted zfs send/recv support - resume commands

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 14 Jan 2020 23:11:46 +1300

zsnapd (0.8.9e-1~1.gbp0e208c) unstable; urgency=medium

  ** SNAPSHOT build @0e208c8213797934c8de18863c3f45f534b4ce69 **

  * Add send raw -w flag to support encryption
  * Update zsnapd-trigger help message
  * Add failed transfer save points 1

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 08 Jan 2020 21:05:15 +1300

zsnapd (0.8.9d-2) unstable; urgency=medium

  * Correct distribution entries to unstable only.

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 02 Jan 2020 13:20:50 +1300

zsnapd (0.8.9d-1) unstable; urgency=medium

  * Move package to contrib section of archive. (Closes: #919595)

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 02 Jan 2020 13:18:27 +1300

zsnapd (0.8.9d-1~1.gbp9bc387) unstable; urgency=medium

  * Log message updates and no error on existing hold

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 10 Apr 2019 11:20:57 +1200

zsnapd (0.8.9c-1~1.gbp9bc386) unstable; urgency=medium

  * Update changelog for 0.8.9b-1~1.gbp9bc385 release
  * Bug fixes for replicate2

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 09 Apr 2019 14:24:43 +1200

zsnapd (0.8.9b-1~1.gbp9bc385) unstable; urgency=medium

  ** SNAPSHOT build @9bc38552f1c45b2838643856214302a3bd78c868 **

  * WIP - initial replicate2 config reading
  * replicate2 2nd dataset target support

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 09 Apr 2019 13:47:05 +1200

zsnapd (0.8.9a-1) unstable; urgency=medium

  * Version 0.8.9a
  * correct a config syntax log msg

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 21 Feb 2019 23:31:24 +1300

zsnapd (0.8.9-1) unstable; urgency=medium

  * Fix Cleaing start log message to match standard format
  * Add ability to read mountpoint property from ZFS
  * trigger allowed in comma time spec
  * {template} key in config for time string
  * Version 0.8.9, documentation updated

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 21 Feb 2019 22:21:13 +1300

zsnapd (0.8.8-1) unstable; urgency=medium

  * Release 0.8.8
  * Fix cleaning bugs if no snapshotting

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 18 Feb 2019 19:29:40 +1300

zsnapd (0.8.7-1) unstable; urgency=medium

  * Version 0.8.7
  * Update TODO list for future work on event queueing
  * Fix time interval calculation and parsing

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 10 Feb 2019 14:24:34 +1300

zsnapd (0.8.5-1) unstable; urgency=medium

  * Version 0.8.5 release - fixes a few serious time logic issues
  * Make snapshot creation time per dataset
  * Implement startup_hysteresis_time for MeterTime

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 01 Feb 2019 15:09:12 +1300

zsnapd (0.8.4-1) unstable; urgency=medium

  * Version 0.8.4 release
  * Time range support for snapshot times
  * Update docs for time ranges etc.
  * Fix for time logic - previous time not being set

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 01 Feb 2019 14:13:37 +1300

zsnapd (0.8.2-1) unstable; urgency=medium

  * Version 0.8.2 - Fix a couple of bugs - typo and minor logic
  * Version 0.8.1 - Really properly update documentation
  * Version 0.8.0 - update version number and docs
  * full_clone code - runs and replicates
  * Add remote cleaning in push mode
  * replicate_all -> all_snapshots, -I for speed
  * Add mbuffer buffer_size setting to configuration
  * Implement per dataset command logging
  * Silence mbuffer output altogether
  * Get compression remote command checking working

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 31 Jan 2019 23:56:28 +1300

zsnapd (0.7.6-1) unstable; urgency=medium

  * Update Documentation - remove sudo etc
  * Version 0.7.6

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 28 Jan 2019 12:00:05 +1300

zsnapd (0.7.5-1) unstable; urgency=medium

  * zsnapd-rcmd - Error to stderr for rejected command.

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 27 Jan 2019 16:01:39 +1300

zsnapd (0.7.4-1) unstable; urgency=medium

  * Version 0.7.4 - add zsnapd-rcmd for sshd sanity
  * Always and only clean when there are kept snapshots
  * Add 10 auxiliary commands to zsnapd-rcmd settings
  * Packaging for zsnapd-rcmd package.

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 27 Jan 2019 14:29:12 +1300

zsnapd (0.6.0-2) unstable; urgency=medium

  * Update dependencies and package description

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 24 Jan 2019 11:27:36 +1300

zsnapd (0.6.0-1) unstable; urgency=medium

  * Remote snapshotting and cleaning/ageing
  * Refactor code in Manager.run() in manager.py
  * hh:mm snapshots at any time of day, new long yyyymmddhhmm names
  * Use snapshot creation time as handle internally
  * schema hourly clean, and keep days support
  * Cleaning hourly snapshots - extended hr:min names
  * Remove limiting patch - send all snapshots to far end
  * Remove datetime functions from critical path
  * Separate into push/pull execution flows
  * Configuration for managing zsnapd/all snapshots
  * Release v0.6.0 - documentation update

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 24 Jan 2019 11:06:35 +1300

zsnapd (0.5.2-1) unstable; urgency=medium

  * Fix postexec command and add replicate_postexec
  * Add configuration .d directory support for devops
  * Add /etc/zsnapd/.d config directories to debian packaging

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 16 Jan 2019 21:51:01 +1300

zsnapd (0.5.1-1~0mag0) unstable; urgency=medium

  * Update package documents list to include TODO
  * Prevent dh_auto_build from running, not needed.
  * Add missing mbuffer and sudo to Recommends
  * Add dataset templates, rename config files from plurals,
    replicate_endpoint settings for connection testing
  * Add snapshot filter for only zsnapd snaps.
  * Add optional trigger endpoint connection testing
  * Don't try unconnected trigger endpoints again
  * Independent snapshotting and replications
  * zsnapd-trigger - Network test only if -r given
  * Caching connectivity test for code clarity/reuse. Uses cached connectivity
    testing for going ahead with replication or optionally .trigger creation
  * Add IPv6 address characters to host regex
  * Convert to magcode.core self.main_sleep() from time.sleep()
  * Move to python3-magcode-core v1.5.2
  * Documentation and configuration updates

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 16 Jan 2019 12:56:30 +1300

zsnapd (0.4.2-1~0mag0) unstable; urgency=medium

  * Update debian/control for py-magcode-core version
  * Fix compression keyword syntax check.
  * Documentation, service defN, and metadata updates
  * Update python3 #! 1st line to use env
  * Expand acceptable parameters for replicate_target

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 11 Jan 2019 13:25:40 +1300

zsnapd (0.4.1-1~0mag1) unstable; urgency=medium

  * Fix missing command stub file in /usr/share/zsnapd

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 10 Jan 2019 19:19:38 +1300

zsnapd (0.4.1-1~0mag0) unstable; urgency=medium

  * Stop syslog, and logging to file by default
  * zsnapd dataset configuration checking
  * Clean up and remove unneeded imports
  * Zsnapd trigger file creation utility
  * Update template config and tidy ups
  * Add symlinks to /usr/bin and /usr/bin etc
  * Update zsnapd.service for debian package

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 10 Jan 2019 19:09:54 +1300

zsnapd (0.3.1-1~0mag0) unstable; urgency=medium

  * New debian/control with python3-magcode-core ver

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 08 Jan 2019 18:55:32 +1300

zsnapd (0.3.0-1~0mag5) unstable; urgency=medium

  * Move to libc_sleep() from py-magcode-core v1.4.11

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 08 Jan 2019 18:50:56 +1300

zsnapd (0.3.0-1~0mag4) unstable; urgency=medium

  * Fix install directory errors

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 07 Jan 2019 21:44:28 +1300

zsnapd (0.3.0-1~0mag3) unstable; urgency=medium

  * Fill in a basic README.Debian

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 07 Jan 2019 21:35:35 +1300

zsnapd (0.3.0-1~0mag2) unstable; urgency=medium

  * Fix lintian warnings about debian/control

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 07 Jan 2019 21:29:44 +1300

zsnapd (0.3.0-1~0mag1) unstable; urgency=medium

  * Fix low-hanging initial lintian errors and warnings

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 07 Jan 2019 21:24:06 +1300

zsnapd (0.3.0-1~0mag0) unstable; urgency=medium

  * Initial release
  * Update code to run on Python 3
  * Rebase daemon mode and logging on py-magcode-core
 
 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 07 Jan 2019 20:58:22 +1300
